org.bouncycastle.crypto.params

## Class RC5Parameters

- java.lang.Object
- - org.bouncycastle.crypto.params.RC5Parameters

All Implemented Interfaces:
  CipherParameters

    public class RC5Parameters
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`RC5Parameters(byte[] key, int rounds)`

### Method Summary

Methods
`byte[]` `getKey()`
`int` `getRounds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RC5Parameters

    public RC5Parameters(byte[] key,
                 int rounds)

### Method Detail

#### getKey

    public byte[] getKey()

#### getRounds

    public int getRounds()